package org.dromara.inspection.service;

import org.dromara.common.mybatis.core.page.PageQuery;
import org.dromara.common.mybatis.core.page.TableDataInfo;
import org.dromara.inspection.domain.bo.ArPointBo;
import org.dromara.inspection.domain.vo.ArPointVo;

import java.util.Collection;
import java.util.List;

/**
 * 巡检点位Service接口
 *
 * @author Lion Li
 * @date 2025-01-13
 */
public interface IArPointService {

    /**
     * 查询单个
     *
     * @return
     */
    ArPointVo queryById(Long id);

    /**
     * 查询列表
     */
    TableDataInfo<ArPointVo> queryPageList(ArPointBo bo, PageQuery pageQuery);

    /**
     * 查询列表
     */
    List<ArPointVo> queryList(ArPointBo bo);

    /**
     * 根据新增业务对象插入巡检点位
     *
     * @param bo 巡检点位新增业务对象
     * @return
     */
    Boolean insertByBo(ArPointBo bo);

    /**
     * 根据编辑业务对象修改巡检点位
     *
     * @param bo 巡检点位编辑业务对象
     * @return
     */
    Boolean updateByBo(ArPointBo bo);

    /**
     * 校验并删除数据
     *
     * @param ids     主键集合
     * @param isValid 是否校验,true-删除前校验,false-不校验
     * @return
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
